#!/bin/bash

# fortran compiler
FC=ifort
# MPI fortran compiler
MPIFC=mpif90
# directory where 'libcuba.a' exsits
cubadir=~/work/LPT/Cuba-2.1/

##### Don't modified #####
# standard version (no parallelized) 
${FC} -O3 -o pk_closure_2loop_cuba.a pk_closure.f90 propagator.f90 renormalized_pk2_1loop_gaus.f90 renormalized_pk2_2loop_cuba.f90 alpha_corr.f90 ${cubadir}/libcuba.a 
# parallelized with OpenMP
${FC} -O3 -openmp -o pk_closure_2loop_cuba.omp.a pk_closure.f90 propagator.f90  renormalized_pk2_1loop_gaus.f90 renormalized_pk2_2loop_cuba.f90 alpha_corr.f90 ${cubadir}/libcuba.a 
# parallelized with MPI
${MPIFC} -O3 -o pk_closure_2loop_cuba.mpi.a pk_closure.mpi.f90 propagator.f90 renormalized_pk2_1loop_gaus.f90 renormalized_pk2_2loop_cuba.f90 alpha_corr.f90 ${cubadir}/libcuba.a 

rm -f *.mod *.o 
